ApplicationRegistry.ApplicationInfo (install4j help)
Keywords: com.install4j.api.ApplicationRegistry.ApplicationInfo interface

## install4j API documentation

## com.install4j.api
Interface ApplicationRegistry.ApplicationInfo

Enclosing class:
  ApplicationRegistry

    public static interface ApplicationRegistry.ApplicationInfo

Provides information about an application installed by install4j.

Method Summary
`java.lang.String` | `getId()` Returns the application ID.
`java.io.File` | `getInstallationDirectory()` Returns the directory the application was installed in the last time the installer run.
`java.lang.String` | `getMediaSetId()` Returns the id of media set that was used to install this application.
`java.lang.String` | `getName()` Returns the name of the application.
`java.lang.String` | `getProgramGroup()` Returns the program group the application used the last time the installer run on Microsoft Windows.
`java.lang.String` | `getVersion()` Returns the version of the application.

Method Detail

### getInstallationDirectory

    java.io.File getInstallationDirectory()

  Returns the directory the application was installed in the last time the installer run.

  Returns:
    the installation directory

### getProgramGroup

    java.lang.String getProgramGroup()

  Returns the program group the application used the last time the installer run on Microsoft Windows.

  Returns:
    the program group if one was used on Windows, `null` otherwise.

### getId

    java.lang.String getId()

  Returns the application ID.

  Returns:
    the application id, `null` if the application was installed with install4j < 3.0

### getName

    java.lang.String getName()

  Returns the name of the application.

  Returns:
    the full name of the application

### getVersion

    java.lang.String getVersion()

  Returns the version of the application.

  Returns:
    the version

### getMediaSetId

    java.lang.String getMediaSetId()

  Returns the id of media set that was used to install this application.

  Returns:
    the media set id or an empty string if the application was installed with install4j < 4.1